package cn.newfeifan.mall.module.distri.dal.mysql.user;

import java.util.*;

import cn.newfeifan.mall.framework.common.pojo.PageResult;
import cn.newfeifan.mall.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.newfeifan.mall.framework.mybatis.core.mapper.BaseMapperX;
import cn.newfeifan.mall.module.distri.dal.dataobject.user.UserDO;
import org.apache.ibatis.annotations.Mapper;
import cn.newfeifan.mall.module.distri.controller.admin.user.vo.*;

/**
 * 分销用户 Mapper
 *
 * @author 非繁人
 */
@Mapper
public interface UserMapper extends BaseMapperX<UserDO> {

    default PageResult<UserDO> selectPage(UserPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<UserDO>()
                .betweenIfPresent(UserDO::getCreateTime, reqVO.getCreateTime())
                .eqIfPresent(UserDO::getUserId, reqVO.getUserId())
                .likeIfPresent(UserDO::getName, reqVO.getName())
                .eqIfPresent(UserDO::getMobile, reqVO.getMobile())
                .eqIfPresent(UserDO::getSource, reqVO.getSource())
                .eqIfPresent(UserDO::getIntegralId, reqVO.getIntegralId())
                .eqIfPresent(UserDO::getSocialStatus, reqVO.getSocialStatus())
                .eqIfPresent(UserDO::getSocialStatusPoint, reqVO.getSocialStatusPoint())
                .eqIfPresent(UserDO::getCategoryId, reqVO.getCategoryId())
                .orderByDesc(UserDO::getId));
    }

    int hasParent(Long userId);

}